Bug 31762

Summary: ARIA: support aria-flowto
Product: WebKit Reporter: chris fleizach <cfleizach>
Component: AccessibilityAssignee: chris fleizach <cfleizach>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, bdakin, commit-queue, eric, oliver, sam
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Attachments:
Description Flags
patch none

Description chris fleizach 2009-11-20 20:01:20 PST
http://www.w3.org/WAI/PF/aria/complete#aria-flowto

this should be AXLinkedUIElements on the Mac
Comment 1 chris fleizach 2009-11-20 21:06:37 PST
Created attachment 43642 [details]
patch
Comment 2 Oliver Hunt 2009-11-22 21:38:10 PST
Comment on attachment 43642 [details]
patch

r=me
Comment 3 chris fleizach 2009-11-22 22:09:41 PST
Comment on attachment 43642 [details]
patch

let's try the commit queue
Comment 4 WebKit Commit Bot 2009-11-22 22:22:09 PST
Comment on attachment 43642 [details]
patch

Clearing flags on attachment: 43642

Committed r51304: <http://trac.webkit.org/changeset/51304>
Comment 5 WebKit Commit Bot 2009-11-22 22:22:13 PST
All reviewed patches have been landed.  Closing bug.
Comment 6 Oliver Hunt 2009-11-23 09:56:58 PST
(In reply to comment #3)
> (From update of attachment 43642 [details])
> let's try the commit queue

Chris, we like to keep the commit queue for patches from people who don't have commit privileges, rather than for commit from people who can do it themselves
Comment 7 chris fleizach 2009-11-23 12:21:23 PST
Using the commit queue is incredibly useful. I do most of my WebKit work at home, but the patches are reviewed during the day. I don't have the code with me, but I can still get it in during the day. Is there a reason you don't want me using the commit-queue?

(In reply to comment #6)
> (In reply to comment #3)
> > (From update of attachment 43642 [details] [details])
> > let's try the commit queue
> 
> Chris, we like to keep the commit queue for patches from people who don't have
> commit privileges, rather than for commit from people who can do it themselves
Comment 8 Eric Seidel (no email) 2009-11-23 19:42:31 PST
If there are concerns as to who should use the commit queue and who shouldn't those should be brought up on webkit-dev.  As far as I'm concerned anyone can use it.  Certainly Adam Barth and I use it for most of our patches despite us both being committers.
Comment 9 Sam Weinig 2009-11-25 14:20:41 PST
(In reply to comment #8)
> If there are concerns as to who should use the commit queue and who shouldn't
> those should be brought up on webkit-dev.  As far as I'm concerned anyone can
> use it.  Certainly Adam Barth and I use it for most of our patches despite us
> both being committers.

I brought this up on webkit-dev last month.  https://lists.webkit.org/pipermail/webkit-dev/2009-October/010195.html. To reiterate the points, using the bot incorrectly removes the burden of checking for failures and messes up statistic gathering.
Comment 10 Adam Barth 2009-11-25 14:30:58 PST
> I brought this up on webkit-dev last month. 
> https://lists.webkit.org/pipermail/webkit-dev/2009-October/010195.html. To
> reiterate the points, using the bot incorrectly removes the burden of checking
> for failures and messes up statistic gathering.

I don't see any consensus on that thread.  No one responded to my question of whether that had ever actually happened.
Comment 11 chris fleizach 2009-11-25 18:25:22 PST
I also like the commit-queue because it means i can stage multiple patches at the same time and let the commit-queue commit only the necessary bits, while my local copy has multiple modifications for different bugs.

(In reply to comment #10)
> > I brought this up on webkit-dev last month. 
> > https://lists.webkit.org/pipermail/webkit-dev/2009-October/010195.html. To
> > reiterate the points, using the bot incorrectly removes the burden of checking
> > for failures and messes up statistic gathering.
> 
> I don't see any consensus on that thread.  No one responded to my question of
> whether that had ever actually happened.